summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDavid Sommerseth <davids@redhat.com>2015-10-23 15:38:41 +0200
committerDavid Sommerseth <davids@redhat.com>2015-10-23 15:38:41 +0200
commitdcf71391f7302097b93e88c9576e279c8c097491 (patch)
tree0159b459cda50f2034a0b87b770e33b3f679ba00
parentd2df60c6cccc5a7aa10d311beb1528c08f505309 (diff)
downloadlogactio-dcf71391f7302097b93e88c9576e279c8c097491.tar.gz
logactio-dcf71391f7302097b93e88c9576e279c8c097491.tar.xz
logactio-dcf71391f7302097b93e88c9576e279c8c097491.zip
Added SysV init scripts for starting/stopping logactio at boot
-rwxr-xr-xinit/sysv/logactio107
-rw-r--r--init/sysv/logactio.sysconf2
2 files changed, 109 insertions, 0 deletions
diff --git a/init/sysv/logactio b/init/sysv/logactio
new file mode 100755
index 0000000..03047d7
--- /dev/null
+++ b/init/sysv/logactio
@@ -0,0 +1,107 @@
+#!/bin/sh
+#
+# logactio Takes care of starting and stopping the logactio daemon
+#
+# chkconfig: - 10 90
+# description: <description, split multiple lines with \
+# a backslash>
+
+### BEGIN INIT INFO
+# Provides: logactio
+# Required-Start: $network $syslog
+# Required-Stop: $network $syslog
+# Should-Start: $syslog
+# Should-Stop:
+# Default-Start: 2 3 4 5
+# Default-Stop: 0 1 6
+# Short-Description: Takes care of starting and stopping the logactio daemon
+# Description: logactio can watch log files and execute configured actions
+# when specific events occur.
+### END INIT INFO
+
+# Source function library.
+. /etc/rc.d/init.d/functions
+
+exec="/usr/bin/logactio"
+prog="logactio"
+config="/etc/logactio.cfg"
+
+[ -e /etc/sysconfig/$prog ] && . /etc/sysconfig/$prog
+
+lockfile=/var/lock/subsys/$prog
+pidfile=/var/run/$prog.pid
+
+start() {
+ [ -x $exec ] || exit 5
+ [ -f $config ] || exit 6
+ echo -n $"Starting $prog: "
+ $exec -d -p $pidfile -c $config $LOGACTIO_OPTS
+ retval=$?
+ echo
+ [ $retval -eq 0 ] && touch $lockfile
+ return $retval
+}
+
+stop() {
+ echo -n $"Stopping $prog: "
+ killproc -p $pidfile $prog
+ retval=$?
+ echo
+ [ $retval -eq 0 ] && rm -f $lockfile $pidfile
+ return $retval
+}
+
+restart() {
+ stop
+ start
+}
+
+reload() {
+ restart
+}
+
+force_reload() {
+ restart
+}
+
+rh_status() {
+ # run checks to determine if the service is running or use generic status
+ status -p $pidfile $prog
+}
+
+rh_status_q() {
+ rh_status >/dev/null 2>&1
+}
+
+
+case "$1" in
+ start)
+ rh_status_q && exit 0
+ $1
+ ;;
+ stop)
+ rh_status_q || exit 0
+ $1
+ ;;
+ restart)
+ $1
+ ;;
+ reload)
+ rh_status_q || exit 7
+ $1
+ ;;
+ force-reload)
+ force_reload
+ ;;
+ status)
+ rh_status
+ ;;
+ condrestart|try-restart)
+ rh_status_q || exit 0
+ restart
+ ;;
+ *)
+ echo $"Usage: $0 {start|stop|status|restart|condrestart|try-restart|reload|force-reload}"
+ exit 2
+esac
+exit $?
diff --git a/init/sysv/logactio.sysconf b/init/sysv/logactio.sysconf
new file mode 100644
index 0000000..bf6c53e
--- /dev/null
+++ b/init/sysv/logactio.sysconf
@@ -0,0 +1,2 @@
+# Additional options added to the logactio command line
+LOGACTIO_OPTS="-vv"